# C++

:::note Beispiele
Im [Beispiel-Repository](^stefExamplePoolRepositoryUrl) befinden sich Beispielaufgaben.
:::

## Tests

Es wird das [googletest](https://github.com/google/googletest) Framework verwendet. In der Testdatei
sind Testfälle spezifiziert. Jeder Testfall hat denselben Namen der Testsuite und einen
individuellen Namen für den Test.

In dieser Datei ist zunächst das Framework zu inkludieren:

```cc title="my_test.cc"
#include <gtest/gtest.h>
```

Anschließend sind innerhalb der Testfunktion Assertions des Testframeworks zu machen:

```cc  title="my_test.cc"
#include <gtest/gtest.h>
#include "fac.h"

// Demonstrate some basic assertions.
TEST(fac, t1) {
  // Expect two strings not to be equal.
  EXPECT_STRNE("hello", "world");
  // Expect equality.
  EXPECT_EQ(7 * 6, 42);
}
TEST(fac, t2) {
  EXPECT_EQ(fac(5), 120) << "falsch";
}

TEST(fac, t3) {
  EXPECT_EQ(fac(0), 1);
}
```

## Umgebungen

TODO
