# Python

:::caution
Bisher wurde der Python-Evaluator in keiner Lehrveranstaltung produktiv eingesetzt.
:::

:::note Beispiele
Im [Beispiel-Repository](^stefExamplePoolRepositoryUrl) befinden sich Beispielaufgaben.
:::

## Tests

Es wird die Python Bibliothek [`unittest`](https://docs.python.org/3/library/unittest.html)
verwendet. Zusätzlich wird die Bibliothek
[`unittest-xml-reporting`](https://github.com/xmlrunner/unittest-xml-reporting) verwendet. In der
Testdatei muss zunächst die Bibliothek `unittest` sowie die abgegebene Lösungsdatei importiert
werden:

```python title="BaumTest.py"
import unittest

from Baum import *
```

Weiterhin muss die Datei eine Unit-Test Suite definieren, z.B.:

```python title="BaumTest.py"
class TreeTest(unittest.TestCase):
  b0=Baum()

  def setUp(self):
     self.b0 = Baum()

  def testGroesse1(self):
    self.assertEqual(0,self.b0.groesse())
```

## Umgebungen

TODO
