from eva.pltform.evaluation.c.compile import CCompileHandler
from eva.pltform.evaluation.c.test import CTestHandler
from eva.pltform.evaluation.core import (
    EvaluationContext,
    Evaluator,
    EvaluatorCapability,
    ExecutionHandlerConfig,
)


class CEvaluator(Evaluator):
    id = 'c'
    supported_envs = 'c[0-9]*'
    default_env = 'c17'
    capability = EvaluatorCapability(compile=True, test=True)

    def setup(self, ctx: EvaluationContext):
        return ExecutionHandlerConfig(compile=CCompileHandler(), test=CTestHandler())
