from eva.pltform.evaluation.core import (
    EvaluationContext,
    Evaluator,
    EvaluatorCapability,
    ExecutionHandlerConfig,
)
from eva.pltform.evaluation.evarela.test import EvarelaTestHandler


class EvarelaEvaluator(Evaluator):
    id = 'evarela'
    supported_envs = 'evarela*'
    default_env = 'evarela'
    capability = EvaluatorCapability(test=True)

    def setup(self, ctx: EvaluationContext):
        return ExecutionHandlerConfig(test=EvarelaTestHandler())
