from eva.pltform.evaluation.core import (
    EvaluationContext,
    Evaluator,
    EvaluatorCapability,
    ExecutionHandlerConfig,
)
from eva.pltform.evaluation.mariadb.test import MariaDBTestHandler


class MariaDBEvaluator(Evaluator):
    id = 'mariadb'
    supported_envs = 'mariadb*'
    default_env = 'mariadb10'
    capability = EvaluatorCapability(test=True)

    def setup(self, ctx: EvaluationContext):
        return ExecutionHandlerConfig(test=MariaDBTestHandler())
