import datetime
from typing import List

from eva.registry.stack import EvaluationStack
from pydantic import BaseModel


class GetStackResponse(BaseModel):
    stack: EvaluationStack
    last_update: datetime.datetime


class StacksResponse(BaseModel):
    stacks: List[EvaluationStack]
    last_update: datetime.datetime
