package de.hsrm.sls.cexf.jacoco;

public enum CEXFLineType {
    LINE("line"),
    INSTRUCTION("instr"),
    STATEMENT("stmt"),
    METHOD("method"),
    BRANCH("cond"),
    CLASS("clazz");

    private final String identifier;

    CEXFLineType(String identifier) {
        this.identifier = identifier;
    }

    public String getIdentifier() {
        return identifier;
    }
}
