package de.hsrm.sls.sqlunit.evaluation;

public record SQLConfig(String url) {

    public SQLConfig(String host, int port, String database, String user, String password) {
        this("jdbc:mariadb://%s:%s/%s?user=%s&password=%s".formatted(
            host, port, database, user, password
        ));
    }
}
