package de.hsrm.sls.sqlunit;

import ch.vorburger.mariadb4j.DBConfiguration;
import ch.vorburger.mariadb4j.junit.MariaDB4jRule;

public class CustomMariaDB4jRule extends MariaDB4jRule {

    public CustomMariaDB4jRule(DBConfiguration dbConfiguration, String dbName,
        String resource) {
        super(dbConfiguration, dbName, resource);
    }

    @Override
    protected void before() throws Throwable {
        super.before();
        System.out.println("Embedded MariaDB server listening on port %s (%s)".formatted(getDBConfiguration().getPort(), getDBConfiguration().getLibDir()));
    }
}
