# Mitarbeit bei Eva

## Code Style

Für Python-Code nutzen wir den [Black Code
Style](https://black.readthedocs.io/en/stable/the_black_code_style/current_style.html) mit den
folgenden Abweichungen:

- Spaltenbreite 100 statt 88
- `'` statt `"` bei Strings

Die `pre-commit` Hooks stellen mit den Werkzeugen [`pylint`](https://pypi.org/project/pylint/),
[`black`](https://black.readthedocs.io/en/stable/index.html) und
[`isort`](https://pycqa.github.io/isort) sicher, dass der Style eingehalten wird.

## Release-Workflow

Der Ablauf für einen neuen Release ist:

- Mit `update_version.sh <version>` an sämtlichen Stellen in der Codebase die neue Version setzen
  und die Änderungen comitten.
- `develop` in `master` mergen
- In GitLab einen neuen Tag `<version>` erstellen
