# Eva

Willkommen bei dem Repository von Eva.

> **Hinweis**
> Die Dokumentation in diesem Repository befindet sich unter `docs`. Der Inhalt wird über das
[subato-docs](https://gitlab.cs.hs-rm.de/sls/subato-docs) Repository zusammen mit der anderen
Dokumentation zu Subato gehosted. In der Dokumentation wird [MDX](https://mdxjs.com/) verwendet.
Weiterhin werden Variablen verwendet, die in
[subato-docs](https://gitlab.cs.hs-rm.de/sls/subato-docs) organisiert werden.

Es gibt einige [Demo-Konfigurationen](demo/README.md), mit denen Eva ausprobiert werden kann.
Unter [CONTRIBUTING.md](CONTRIBUTING.md) befinden sich Informationen zur Einrichtung von
IDEs/Editoren und Konventionen. Für die lokale Entwicklung muss folgendes eingerichtet werden:

- Python 3.12.x (mit x >= 3) installieren
- Poetry installieren: `curl -sSL https://install.python-poetry.org | python3 -` (siehe
  [docs](https://python-poetry.org/docs/))
- pre-commit installieren: `pip install pre-commit`
- Commit Hooks installieren: `pre-commit install`
