# Style Exchange Format (STEX)

STEX ist ein Austauschformat für die Darstellung von Code Style Prüfungen und orientiert sich am
Format von [checkstyle](https://checkstyle.sourceforge.io/).

:::info

Das Format ist aktuell sehr einfach gehalten, da Code Style Prüfungen im System eine geringe
Priorität haben. Aktuell wird es nur in Evaluation Stacks verwendet, die Java verwenden.

:::

```xml
<?xml version="1.0" encoding="UTF-8"?>
<checkstyle version="9.0">
    <file name="/tmp/tmpmjyqhsoj/./Date.java">
        <error line="7" column="1" severity="error" message="&apos;ctor def lcurly&apos; has incorrect indentation level 0, expected level should be 2." source="com.puppycrawl.tools.checkstyle.checks.indentation.IndentationCheck"/>
        <error line="7" column="1" severity="error" message="&apos;{&apos; at column 1 should be on the previous line." source="com.puppycrawl.tools.checkstyle.checks.blocks.LeftCurlyCheck"/>
    </file>
</checkstyle>

```

`severity` kann zwar aktuell einen beliebigen Wert annehmen, sollte sich jedoch an der Definition in
checkstyle orientieren. Dort werden die Werte `error`, `warning` oder `info` verwendet. Weitere
Erklärungen erfolgen nicht, da das Format vermutlich selbsterklärend ist.
