package de.hsrm.sls.eva.result;

import de.hsrm.sls.eva.cexf.Coverage;
import de.hsrm.sls.eva.trex.Testsuite;

public class TestResult {
  private Testsuite testsuite;
  private int testcases;
  private int failed;
  private int passed;
  private TestcaseStats stats;
  private Integer leaks;
  private double correctness;
  private String output;
  private Coverage coverage;

  public Testsuite getTestsuite() {
    return testsuite;
  }

  public void setTestsuite(Testsuite testsuite) {
    this.testsuite = testsuite;
  }

  public int getTestcases() {
    return testcases;
  }

  public void setTestcases(int testcases) {
    this.testcases = testcases;
  }

  public int getFailed() {
    return failed;
  }

  public void setFailed(int failed) {
    this.failed = failed;
  }

  public int getPassed() {
    return passed;
  }

  public void setPassed(int passed) {
    this.passed = passed;
  }

  public double getCorrectness() {
    return correctness;
  }

  public void setCorrectness(double correctness) {
    this.correctness = correctness;
  }

  public String getOutput() {
    return output;
  }

  public void setOutput(String output) {
    this.output = output;
  }

  public TestcaseStats getStats() {
    return stats;
  }

  public void setStats(TestcaseStats stats) {
    this.stats = stats;
  }

  public Integer getLeaks() {
    return leaks;
  }

  public void setLeaks(Integer leaks) {
    this.leaks = leaks;
  }

  public Coverage getCoverage() {
    return coverage;
  }

  public void setCoverage(Coverage coverage) {
    this.coverage = coverage;
  }
}
