from eva.pltform.evaluation.core import (
    EvaluationContext,
    Evaluator,
    EvaluatorCapability,
    ExecutionHandlerConfig,
)
from eva.pltform.evaluation.js.test import JsTestHandler


class JsEvaluator(Evaluator):
    id = 'js'
    supported_envs = 'js*'
    default_env = 'js'
    capability = EvaluatorCapability(test=True)

    def setup(self, ctx: EvaluationContext):
        return ExecutionHandlerConfig(test=JsTestHandler())
