from eva.pltform.format.cexf import CEXFParser
from tests.util import FixtureLoader


def test_read1(fixtures: FixtureLoader):
    parser = CEXFParser()
    coverage = parser.parse(fixtures.load('cexf1.xml'))

    assert 2 == len(coverage.testsuite.testcases)


def test_read2(fixtures: FixtureLoader):
    parser = CEXFParser()
    coverage = parser.parse(fixtures.load('cexf2.xml'))
    assert 7 == len(coverage.testsuite.testcases)
