package de.hsrm.sls.cexf.jacoco;

import java.util.List;

public class CEXFReport {

    public static void main(String[] args) {
        var runArgs = RunArgs.parse(args);
        var coverageLoader = new JacocoCoverageLoader(runArgs.getDirectoryPath());
        var state = new JacocoState(coverageLoader.loadExecFiles());

        var coverageParser = new JacocoCoverageParser(runArgs.getFilter());
        var serializer = new CEXFSerializer(runArgs.getOutPath(), coverageParser, runArgs.getLineTypeFilter());
        serializer.serialize(state);
    }

}
