package de.hsrm.sls.cexf.openclover;

import com.atlassian.clover.reporters.Current;
import java.util.List;

public class CEXFConfig extends Current {
    private List<String> files;
    private CEXFLineType lineType;

    public List<String> getFiles() {
        return files;
    }

    public void setFiles(List<String> files) {
        this.files = files;
    }

    public CEXFLineType getLineType() {
        return lineType;
    }

    public void setLineType(CEXFLineType lineType) {
        this.lineType = lineType;
    }

    public boolean validate() {

        if (!super.validate()) {
            return false;
        } else {
            if (this.getFiles() == null || this.getFiles().isEmpty()) {
                this.setFailureReason("files not specified.");
                return false;
            }

            return true;
        }
    }

}