package de.hsrm.sls.ejunit.common;

import java.util.ArrayList;
import java.util.List;

public class TestLoader {


    public Test getTest(String classFqcn) {
        try {
            return new Test(Class.forName(classFqcn));
        } catch (ClassNotFoundException e) {
            throw new RuntimeException(
                "Test class %s was not found in classpath.".formatted(classFqcn));
        }
    }

    public List<Test> loadTests(String[] classFqcns) {
        List<Test> classes = new ArrayList<Test>(classFqcns.length);
        for (String fqcn : classFqcns) {
            classes.add(getTest(fqcn));
        }
        return classes;
    }
}
