package sample;

import static org.junit.Assert.assertEquals;

import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;


public class PingTest {

    @Rule
    public ExpectedException thrown = ExpectedException.none();

    @Test
    public void test01() {
        assertEquals(42, new Ping().magic());
    }

    @Test
    public void test02() {
        assertEquals(43, new Ping().magic());
    }

    @Test
    public void test03() {
        assertEquals(42, new Ping().faulty());
    }

    @Test(expected = RuntimeException.class)
    public void test04() {
        new Ping().throwsIntentional();
    }

    @Test
    public void test05() {
        thrown.expect(RuntimeException.class);
        thrown.expectMessage("So!");
        new Ping().throwsIntentional();
    }

    @Test
    public void test06() {
        var d = new Ping().magic();
        if(d == 42) {
            junit.framework.Assert.fail("aa");
        }
    }

    @Test
    public void test07() {
        assertEquals(42, new Ping().outTest());
    }

    @Test(expected = AssertionError.class)
    public void test08() {
        new Ping().assertOdd(2);
    }

    @Test
    public void test09() {
        new Ping().assertOdd(1);
    }
}